/* Course Template */
/* ------------- Colors ------------ */

.fixme {
	font:"Arial Black", Gadget, sans-serif;
	font-size:18px;
	color:#390;
	background-color:#F63;
}

body {
  background-color: #FFFFFF;
}

p.mainHeader {
  color: #330066;
  background-color: #FFCCCC;
  border-color:#6600CC;
  border-style: ridge;
}

table.data th {
  background-color: #FFCCCC;
  border-color:#6600CC
}

h1, h2, h3, h4, h5, h6 {
  color: #330066;
}

table.data td, code.multiline pre, pre code.multiline {
  border-color: #00FF00; 
}

tr.alt td, td.alt {
    background-color: #FFFFC0;
}
  
table.announce, table.announce th, table.announce td {
  border-color: #FF0000;
}

table.announce th {
  background-color: #FF9999;
}

table table.announce, td table.announce {
  border-color: #FFFFFF;
}

.definiendum {
  font-style: italic;
  color: #CC0000;
}

.important {
    color: #C00;
    font-weight: bold;
}

.comment {
  color: #006600;
}

s, .error {
  background-color: #FF0000;
  text-decoration:line-through;
}

.insertion, .correction {
  background-color: #99FF99;
}

.header {
  background-color: #FFFF99;
  border-color: #00FF00;
  border-width:medium;
}

code.multiline pre, pre code.multiline {
  background-color: #FFFFCC;
  padding:8px;
}

code, pre, pre code.multiline, .code, .program {
  color: #0000CC;
}

code em, code i, em code, i code, .variable, var {
  color: #CC0099;
}

code.comment {
  color: #009900;
}

.program {
  color: #0000CC;
  background-color:#FFFFCC;
  border-color: #00FF00;
  padding:8px;
}

.blue {
  background-color:#CCDDFF;
}
/* ---------- page header ---------- */

p.mainHeader {
  padding: 0.05in;
  border-style: groove;
  border-width: 10px;
  font-family: Arial, Helvetica, sans-serif;
}

span.head {
  font-size: 1.6em;
  font-weight: bold;
}

span.subhead {
  font-size: 1em;
  font-weight: bold;
}

/* ---------- header properties ---------- */

h1 { font-size: 1.6em; }
h2 { font-size: 1.2em; }
h3 { font-size: 0.9em; }

h1, h2, h3, h4, h5, h6, th {
  font-family: Arial, Helvetica, sans-serif;
}

strong.stronger {
  font-size: 120%;
}

/* ---------- table properties ---------- */

table.data, table.data th, table.data td {
  border-style: solid;
  border-width: 1px;
}

table.data {
  border-collapse: collapse;
  border-spacing: 0pt;
  margin: 0px;
}

table.data th, table.data td {
  padding-right: 0.25em;
  padding-left: 0.25em;
  padding-top: 2px;
  padding-bottom: 2px;
  border-collapse:collapse;  
}

table.data th {
  font-family: Arial, Helvetica, sans-serif;
  border-style: outset;
  border-width: 3px;
  border-collapse:collapse; 
}

/* ---------- table for ANNOUNCEMENTS ---------- */

table.announce {
  width: 100%;
  border-style: groove;
  border-width: 4px;
}

table.announce th {
  border-style: outset;
}

table.announce td {
  border-style: solid;
  border-width: 1px;
}
/* ---------- table for LAYOUT properties ---------- */

table.announce, td table.announce {
  border-width: 2px;
}

/* ---------- lists ---------- */

li {
  margin-top: 8px;
}

dl {
  margin-left: 40px;
}

dt {
  margin-top: 8px;
}

/* ---------- anywhere ---------- */

.indent {
  margin-left: 40px;
}

.definiendum {
  font-style: italic;
}

.important {
    font-weight: bold;
}

.error {
  text-decoration:line-through;
}

.header {
  border-style: groove;
  border-width: 5;
  font-family: Arial, Helvetica, sans-serif;
  font-size:18pt;
  font-weight: bold;
  padding:6px;
  text-align:center;
}
/* ---------- code ---------- */

code, pre, pre code.multiline, .program {
  font-family: Inconsolata, Consolas, "Bitstream Vera Sans Mono", Monaco,
               "Lucida Console", "Trebuchet MS", monospace;
  font-size: 100%;
}

code.multiline pre, pre code.multiline {
  display: block;
  border: 1px solid;
  margin-left: 0.25in;
  margin-right: 0.25in;
  padding: 4px;
  overflow: hidden;
}

code em, code i, em code, em i, code.comment, .variable, var {
  font-size: 100%;
}

.variable, var {
  font-family: Inconsolata, Consolas, "Bitstream Vera Sans Mono", Monaco,
               "Lucida Console", "Trebuchet MS", monospace;
  font-style: italic;
  font-weight: bold;
}

.program {
  white-space:pre;
  border: thin solid;
  margin-left: 0.25in;
  font-variant: normal;
}

.box {
    border: thin solid;
	height: 3px;
	width: 3px;
}
